using System.Xml;

namespace Kit.Helpers.Repository.Xml
{
    public interface IContentXml<TContentKey>
    {
        XmlDocument CreateDefault();
        XmlDocument? GetContentData(TContentKey key);
        bool CreateContentData(TContentKey key, XmlDocument document, bool skipIfExists = true);
        void UpdateContentData(TContentKey key, XmlDocument document);
        int GetRowVersion(XmlDocument document);
    }
}